<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';

interface Highlight {
  image: {
    src: string;
    alt?: string;
  };
  text: string;
  icon?: string;
}
export default Vue.extend({
  props: {
    header: {
      type: String,
      required: false,
      default: '',
    },
    highlights: {
      type: Array as PropType<Highlight[]>,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div id="esg-highlights">
      <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-16">{{
        header
      }}</SlpTypography>
      <div class="highlight-container">
        <div
          v-for="highlight in highlights"
          :key="highlight.text"
          class="highlight"
        >
          <SlpIcon
            :name="highlight.icon"
            variant="marketing"
            size="md"
            class="slp-mb-16"
          />
          <SlpTypography variant="body1"
            ><div v-html="$md.render(highlight.text)"></div
          ></SlpTypography>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
#esg-highlights {
  display: flex;
  flex-direction: column;
  gap: 32px;
  margin-top: 96px;
  @media (min-width: $breakpoint-md) {
    margin-top: 160px;
  }
  .highlight-container {
    display: flex;
    flex-wrap: nowrap;
    max-width: 100%;
    overflow-x: scroll;
    gap: 30px;
    @media (min-width: $breakpoint-lg) {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-auto-rows: 1fr;
    }
    .highlight {
      border-radius: 4px;
      background: $color-surface-800;
      padding: 32px;
      gap: 24px;
      min-height: 272px;
      min-width: 400px;
      img {
        @media (max-width: $breakpoint-lg) {
          object-fit: scale-down;
          height: 160px;
          width: 135px;
        }
      }
      @media (max-width: $breakpoint-sm) {
        min-width: 300px;
      }
      @media (min-width: $breakpoint-lg) {
        min-width: unset;
        flex-direction: row;
        align-items: flex-start;
        justify-content: center;
      }
      :deep {
        a {
          color: $color-primary-200;
          text-decoration: underline;
          text-decoration-color: currentColor;
          transition: all 0.3s ease;
          &:hover,
          &:focus {
            text-decoration-color: transparent;
          }
        }
        strong {
          font-weight: 600;
          a {
            font-weight: 600;
          }
        }
      }
    }
  }
}
</style>
